Release Notes for phpMyAdmin

phpMyAdmin ist eine kostenlose Software-Funktion, die zur Verwaltung von MariaDB-Datenbanken entwickelt wurde. Installieren Sie dieses Paket, um die auf der Synology NAS gespeicherten MariaDB-Datenbanken zu verwalten.

Version: 4.9.7-1032


(2021-11-30)

What's New

  1. PHP7.4 is required.

Fixed Issues

  1. Minor bug fixes.

Version: 4.9.7-1025


(2021-08-31)

What's New

  1. Updated to version 4.9.7.

Fixed Issues

  1. Minor bug fixes.

Version: 4.9.6-1024


(2021-06-01)

Compatibility and Installation

  1. Updated to be compatible with DSM 7.0.
  2. If PHP 7.3 was not installed, the system will automatically install it after the update to ensure package functionality.

What's New

  1. Updated to phpMyAdmin 4.9.6.

Version: 4.9.7-0190


(2021-09-07)

What's New

  1. Updated to version 4.9.7.

Fixed Issues

  1. Fixed an issue where user might fail to access the package via a customized domain.
  2. Minor bug fixes.

Version: 4.9.6-0187


(2021-02-23)

Important Note

  1. This update is expected to be available in all regions within the next few days. The actual time of release may vary slightly depending on regions.

What's New

  1. Updated to version 4.9.6.
  2. PHP 7.3 is required.

FIxed Issues

  1. Fixed an issue where the passwords generated by phpMyAdmin might not meet the password rule.
  2. Fixed an issue where the Designer feature might not work properly.
  3. Fixed multiple security vulnerabilities (CVE-2020-10803, CVE-2020-10802, CVE-2020-10804, CVE-2020-5504, CVE-2020-26935, CVE-2020-26934).
  4. Minor bug fixes.

Version: 4.9.2-0183


(2020-06-09)

What's new

  1. PHP 7.2 is required.

Version: 4.9.2-0181


(2019-12-24)

What's new

  1. Updated to version 4.9.2.

Fixed issues

  1. Fixed a security vulnerability (CVE-2019-18622).

Version: 4.9.0.1-0180


(2019-09-03)

What's new

  1. Upgraded to version 4.9.0.

Fixed issues

  1. Fixed multiple security vulnerabilities regarding phpMyAdmin (CVE-2019-6799、CVE-2019-6798、CVE-2019-11768、CVE-2019-12616).

Version: 4.8.4-0179


(2019-05-28)

Fixed issues

  1. Fixed a security vulnerability regarding phpMyAdmin.
  2. Fixed the issue where the import of large files might fail.

Version: 4.8.4-0177


(2019-01-15)
  1. Fixed multiple vulnerabilities regarding phpMyAdmin (CVE-2018-19968, CVE-2018-19970).

Version: 4.7.8-0175


(2018-05-23)
  1. Improve the security of phpMyAdmin.

Version: 4.6.6-0173


(2017-12-13)
  1. Fixed an issue where the Server Choice drop-down list on login page may not properly display available servers.

Version: 4.6.6-0172


(2017-06-29)
  1. Added support for switching between different servers for administrative purposes.

Version: 4.6.5-0170


(2017-02-21)
  1. Fixed an issue where re-login was required after update.

Version: 4.6.5-0169


(2017-01-04)
  1. Fixed an bug where the new users cannot be created.

Version: 4.6.5-0168


(2016-12-05)
  1. Upgraded to version 4.6.5 to address one security vulnerability(PMASA-2016-70).

Version: 4.6.3-0166


(2016-08-18)
  1. Upgraded to version 4.6.3.
  2. Fixed an issue where the backup of View component may not work properly.

Version: 4.6.2-0165


(2016-06-06)
  1. Upgraded to version 4.6.1 to address multiple vulnerabilities (CVE-2016-2045, CVE-2016-2559, CVE-2016-2560, CVE-2016-2561, CVE-2016-2562).
  2. Added support for configuring allowed/denied access to specific domains.

Version: 4.5.3-0162


(2016-03-24)
  1. Upgrade to version 4.15.3.1.
  2. Updated the backend server to ngnix for enhanced performance.

Version: 4.9.7-1032


(2021-11-30)

What's New

  1. PHP7.4 is required.

Fixed Issues

  1. Minor bug fixes.

Version: 4.9.7-0190


(2021-09-07)

What's New

  1. Updated to version 4.9.7.

Fixed Issues

  1. Fixed an issue where user might fail to access the package via a customized domain.
  2. Minor bug fixes.

Version: 4.9.7-1025


(2021-08-31)

What's New

  1. Updated to version 4.9.7.

Fixed Issues

  1. Minor bug fixes.

Version: 4.9.6-1024


(2021-06-01)

Compatibility and Installation

  1. Updated to be compatible with DSM 7.0.
  2. If PHP 7.3 was not installed, the system will automatically install it after the update to ensure package functionality.

What's New

  1. Updated to phpMyAdmin 4.9.6.

Version: 4.9.6-0187


(2021-02-23)

Important Note

  1. This update is expected to be available in all regions within the next few days. The actual time of release may vary slightly depending on regions.

What's New

  1. Updated to version 4.9.6.
  2. PHP 7.3 is required.

FIxed Issues

  1. Fixed an issue where the passwords generated by phpMyAdmin might not meet the password rule.
  2. Fixed an issue where the Designer feature might not work properly.
  3. Fixed multiple security vulnerabilities (CVE-2020-10803, CVE-2020-10802, CVE-2020-10804, CVE-2020-5504, CVE-2020-26935, CVE-2020-26934).
  4. Minor bug fixes.

Version: 4.9.2-0183


(2020-06-09)

What's new

  1. PHP 7.2 is required.

Version: 4.9.2-0181


(2019-12-24)

What's new

  1. Updated to version 4.9.2.

Fixed issues

  1. Fixed a security vulnerability (CVE-2019-18622).

Version: 4.9.0.1-0180


(2019-09-03)

What's new

  1. Upgraded to version 4.9.0.

Fixed issues

  1. Fixed multiple security vulnerabilities regarding phpMyAdmin (CVE-2019-6799、CVE-2019-6798、CVE-2019-11768、CVE-2019-12616).

Version: 4.8.4-0179


(2019-05-28)

Fixed issues

  1. Fixed a security vulnerability regarding phpMyAdmin.
  2. Fixed the issue where the import of large files might fail.

Version: 4.8.4-0177


(2019-01-15)
  1. Fixed multiple vulnerabilities regarding phpMyAdmin (CVE-2018-19968, CVE-2018-19970).

Version: 4.7.8-0175


(2018-05-23)
  1. Improve the security of phpMyAdmin.

Version: 4.6.6-0173


(2017-12-13)
  1. Fixed an issue where the Server Choice drop-down list on login page may not properly display available servers.

Version: 4.6.6-0172


(2017-06-29)
  1. Added support for switching between different servers for administrative purposes.

Version: 4.6.5-0170


(2017-02-21)
  1. Fixed an issue where re-login was required after update.

Version: 4.6.5-0169


(2017-01-04)
  1. Fixed an bug where the new users cannot be created.

Version: 4.6.5-0168


(2016-12-05)
  1. Upgraded to version 4.6.5 to address one security vulnerability(PMASA-2016-70).

Version: 4.6.3-0166


(2016-08-18)
  1. Upgraded to version 4.6.3.
  2. Fixed an issue where the backup of View component may not work properly.

Version: 4.6.2-0165


(2016-06-06)
  1. Upgraded to version 4.6.1 to address multiple vulnerabilities (CVE-2016-2045, CVE-2016-2559, CVE-2016-2560, CVE-2016-2561, CVE-2016-2562).
  2. Added support for configuring allowed/denied access to specific domains.

Version: 4.5.3-0162


(2016-03-24)
  1. Upgrade to version 4.15.3.1.
  2. Updated the backend server to ngnix for enhanced performance.

Version: 4.3.0-0101


(2014-12-16)
  1. Updated to version 4.3.0 to address a security vulnerability that allows remote attackers to cause a denial of service attack via a long crafted password.

Version: 4.1.14-0024


(2014-12-16)
  1. Updated to version 4.1.14.8 to address a security vulnerability that allows remote attackers to cause a denial of service attack via a long crafted password.

Version: 4.1.14-0023


(2014-10-01)

Fixed Issues:

  1. Upgraded phpMyAdmin to 4.1.14.4 to fix a weakness that cloud allow remote code execution performed due to a DOM based XSS vulnerability in the micro history feature (PMASA-2014-10).

Version: 4.2.8-0021


(2014-09-24)
  1. Certified by Synology Trust Level.

Improvements

  1. Upgrade phpMyAdmin to version 4.2.8.1 to address multiple cross-site scripting (XSS) vulnerabilities (CVE-2014-4349 and PMASA-2014-10).

Version: 4.1.14-0018


(2014-06-26)

Fixed Issues

  1. Minor bugs fixes.

Version: 4.1.14-0017


(2014-05-15)

Improvements

  1. Updated to 4.1.14.

Version: 4.1.11-0016


(2014-04-24)

Improvements

  1. Upgraded to version 4.1.11.

Version: 4.1.7-0015


(2014-03-10)
  1. Upgraded to phpMyAdmin 4.1.7.

Version: 3.5.3-002


(2012-11-01)
  1. Updated to phpMyAdmin 3.5.3.